version: 1.0
provider:
  name: openfaas
  gateway: https://openfaas.kgcluster.opencraft.hosting
functions:
  pr-watcher:
    lang: python3-http
    build_args:
      PYTHON_VERSION: 3.12
    handler: ./pr_watcher
    image: registry.gitlab.com/opencraft/dev/grove/pr-watcher:v2.3.1
    environment:
      max_inflight: 5
      write_debug: true
      write_timeout: 2m30s
      combine_output: false
      read_timeout: 5m
      exec_timeout: 5m
      handler_wait_duration: 4m30s
      healthcheck_interval: 15s
      PYTHONUNBUFFERED: "1"
    secrets:
      - pr-watcher-github-access-token
      - pr-watcher-gitlab-webhook-secret
      - pr-watcher-gitlab-access-token
      - pr-watcher-gitlab-pipeline-token
      - pr-watcher-spaces-access-key-id
      - pr-watcher-spaces-access-key-secret
      - pr-watcher-token
    annotations:
      topic: cron-function
      schedule: "*/15 * * * *"
